import App from './App'
import http from './utils/request.js'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
// 全局挂载请求工具
Vue.prototype.$http = http
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  // 全局挂载请求工具
  app.config.globalProperties.$http = http
  return {
    app
  }
}
// #endif